---
stages:
  - build
  - package-build
  - linting
  - package-test
  - publish

variables:
  DOCKER_BUILD_ARGS: >
    --label "org.opencontainers.image.version=$CI_COMMIT_SHORT_SHA"

  AUTODEPLOY_TO_PROD: "True"
  PROD_REF: '/^main$/'

include:
  - project: 'to-be-continuous/docker'
    ref: '2.1.0'
    file: '/templates/gitlab-ci-docker.yml'
  - project: 'Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates'
    ref: 'master'
    file: 'markdown.gitlab-ci.yml'
  - project: 'Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates'
    ref: 'master'
    file: 'markdown-link-check.gitlab-ci.yml'

markdown:
  stage: build

markdown-link-check:
  stage: build
